| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
AlgorithmManager::AlgorithmItem Struct Referencefinal

`#include <src/ApplicationMgr/AlgorithmManager.h>`

Collaboration diagram for AlgorithmManager::AlgorithmItem:
[legend]

## Public Member Functions
| AlgorithmItem (IAlgorithm *s, bool managed=false)
bool | operator== (const std::string &name) const
bool | operator== (const IAlgorithm *ptr) const

## Public Attributes
SmartIF< IAlgorithm > | algorithm
bool | managed

## Detailed Description

Definition at line 34 of file AlgorithmManager.h.

## Constructor & Destructor Documentation

AlgorithmManager::AlgorithmItem::AlgorithmItem | ( | IAlgorithm * | s,
|  | bool | managed = `false`
| ) |  |
| inline

Definition at line 35 of file AlgorithmManager.h.

35 : algorithm( s ), managed( managed ) {}
AlgorithmManager::AlgorithmItem::managed
bool managed
Definition: AlgorithmManager.h:37
AlgorithmManager::AlgorithmItem::algorithm
SmartIF< IAlgorithm > algorithm
Definition: AlgorithmManager.h:36

## Member Function Documentation

bool AlgorithmManager::AlgorithmItem::operator== | ( | const std::string & | name | ) | const
| inline

Definition at line 38 of file AlgorithmManager.h.

38 { return algorithm->name() == name; }
AlgorithmManager::name
const std::string & name() const override
Return the name of the manager (implementation of INamedInterface)
Definition: AlgorithmManager.h:78
AlgorithmManager::AlgorithmItem::algorithm
SmartIF< IAlgorithm > algorithm
Definition: AlgorithmManager.h:36

bool AlgorithmManager::AlgorithmItem::operator== | ( | const IAlgorithm * | ptr | ) | const
| inline

Definition at line 39 of file AlgorithmManager.h.

39 { return algorithm.get() == ptr; }
SmartIF::get
TYPE * get() const
Get interface pointer.
Definition: SmartIF.h:82
AlgorithmManager::AlgorithmItem::algorithm
SmartIF< IAlgorithm > algorithm
Definition: AlgorithmManager.h:36

## Member Data Documentation

SmartIF<IAlgorithm> AlgorithmManager::AlgorithmItem::algorithm

Definition at line 36 of file AlgorithmManager.h.

bool AlgorithmManager::AlgorithmItem::managed

Definition at line 37 of file AlgorithmManager.h.

The documentation for this struct was generated from the following file:

- GaudiCoreSvc/src/ApplicationMgr/AlgorithmManager.h